Boomi Platform API Reference (1.0.0) - PersistedProcessProperties
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
The Persisted Process Properties object represents the collection of properties that a Runtime persists across subsequent runs. The owner of a Runtime cloud or Runtime cluster can retrieve a list of all Persisted Process properties for a specified container. You can also update a property by adding, changing, or removing a container's Persisted Process properties. Retrieving a list of Persisted Process properties is an asynchronous process:
- The client sends a GET request that specifies a list of all a container's Persisted Process properties to the Boomi Enterprise Platform.
- The platform returns a persisted process property token for the specified Runtime, Runtime cluster, or Runtime cloud.
- The client sends one or more GET requests that include the Persisted Process properties token.
- The platform returns one of the following: Status code 202 while the request is in progress.
- Status code 200 with the custom contents of the security policy when the request is complete.
Required Privileges
You need these privileges in the target environment:
Write access
- API — Use the Boomi Platform API to access account data.
- ATOM_MANAGEMENT or PERSIST_PROCESS_PROPERTY
Read access
- API — Use the Boomi Platform API to access account data.
- ATOM_MANAGEMENT or ATOM_MANAGEMENT_READ_ONLY or PERSIST_PROCESS_PROPERTY
Modifies or updates a PersistedProcessProperties object
The UPDATE operation updates Persisted Process Property values for the specified Runtime. Using the UPDATE operation overrides all current property settings. Therefore, Boomi recommends that you include a complete list of all Persisted Process properties you want to keep or update. If you do not list a current persisted process property in the Persisted Process properties object, the UPDATE operation deletes those properties.
Note: You can update the Persisted Process properties if you have either the Runtime Management privilege or the Runtime Management Read Access, along with the Persisted Process Property Read and Write Access privilege.
Authorizations:
path Parameters
| id required | string A unique ID assigned by the system to the Runtime. |
Request Body schema: optional
| atomId required | string A unique ID assigned by the system to the Runtime. |
Array of objects (DeployedProcess) |
Responses
Response Schema:
| atomId required | string A unique ID assigned by the system to the Runtime. |
Array of objects (DeployedProcess) |
Request samples
- Payload
{- "@type": "PersistedProcessProperties",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012",
- "Process": [
- {
- "@type": "DeployedProcess",
- "processId": "6841b8e2-755e-4ab1-bd31-fcfc9bf7893d",
- "ProcessProperties": {
- "@type": ""
}
}, - {
- "@type": "DeployedProcess",
- "processId": "1ebcc68e-a1f6-42f5-95a0-a01635e6e3a4",
- "ProcessProperties": {
- "@type": "",
- "ProcessProperty": [
- {
- "@type": "",
- "Name": "property1",
- "Value": "157"
}, - {
- "@type": "",
- "Name": "property2",
- "Value": "158"
}, - {
- "@type": "",
- "Name": "property3",
- "Value": "159"
}
]
}
}
]
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "PersistedProcessProperties",
- "atomId": "3456789a-bcde-f012-3456-789abcdef012",
- "Process": [
- {
- "@type": "DeployedProcess",
- "processId": "6841b8e2-755e-4ab1-bd31-fcfc9bf7893d",
- "ProcessProperties": {
- "@type": "",
- "ProcessProperty": [ ]
}
}, - {
- "@type": "DeployedProcess",
- "processId": "1ebcc68e-a1f6-42f5-95a0-a01635e6e3a4",
- "ProcessProperties": {
- "@type": "",
- "ProcessProperty": [
- {
- "@type": "",
- "Name": "property1",
- "Value": "157"
}, - {
- "@type": "",
- "Name": "property2",
- "Value": "158"
}, - {
- "@type": "",
- "Name": "property3",
- "Value": "159"
}
]
}
}
]
}Retrieves a PersistedProcessProperties object by identifier
For a response, use the token from the response in a new request.
Authorizations:
path Parameters
| token required | string Takes in the token from a previous call to return a result. |
Responses
Response Schema:
| responseStatusCode required | integer <int32> |
| numberOfResults | integer <int32> |
Array of objects (PersistedProcessProperties) |
Response samples
- 200
- 403
- 410
- 503
{- "AsyncOperationResult": {
- "responseStatusCode": "200",
- "result": {
- "type": "PersistedProcessProperties",
- "PersistedProcessProperties": {
- "atomId": "3456789a-bcde-f012-3456-789abcdef012",
- "processes": {
- "processId": "83b8771e-9bab-4395-86aa-7c8149678900",
- "PersistedProcessProperties": {
- "ProcessProperty": [
- {
- "name": "processname1",
- "value": "value1"
}, - {
- "name": "processname2",
- "value": "value2"
}
]
}
}
}
}
}
}Retrieves a PersistedProcessProperties object by identifier
The GET operation returns the current state of the Persisted Process properties names and values for the specified Runtime. The initial GET operation returns a token for the specified Runtime.
Authorizations:
path Parameters
| id required | string |
Responses
Response Schema:
required | object (AsyncToken) |
| responseStatusCode required | integer <int32> |
Response samples
- 200
- 403
- 410
- 503
{- "AsyncOperationTokenResult": {
- "responseStatusCode": "202",
- "token": "PersistedProcessProperties-0c34dccd-01da-4078-ace2-69897e421583"
}
}